text.skipToContent text.skipToNavigation
Home Support Projectors BrightLink Series Epson BrightLink 595Wi

Does my product's interactive function work with Linux?

    Yes, it works with Linux Ubuntu 10.04, 10.10, 11.04, and 11.10 systems. The built-in Ubuntu drivers support interactivity; there is no additional driver installation needed.

    Note: Easy Interactive Tools software is not supported with Linux. For robust interactivity, you need Linux-compatible interactive software (not included with the projector).

Published:  Jul 21, 2014 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address